List users
GET
/users
const url = 'https://shoehorn.example.com/api/v1/users?limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shoehorn.example.com/api/v1/users?limit=50'Returns all users in the tenant directory.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
integer
cursor
string
search
Search by name or email
string
Responses
Section titled “ Responses ”User directory
Media type application/json
object
users
Array<object>
object
id
string format: uuid
email
string
name
string
picture
string
last_login
string format: date-time
created_at
string format: date-time
Example generated
{ "users": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "email": "example", "name": "example", "picture": "example", "last_login": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z" } ]}